## ros-humble-irobot-create-ignition-sim 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(irobot_create_ignition_sim)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-irobot-create-ignition-sim (2.1.0-1bookworm) bookworm; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Sun, 14 May 2023 16:00:00 -0000

ros-humble-irobot-create-ignition-sim (2.0.0-1bookworm) bookworm; urgency=high

  * fix dependency tree of create3_sim packages (#177 <https://github.com/iRobotEducation/create3_sim/issues/177>)
  * Contributors: Alberto Soragna

 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 18 Jan 2023 16:00:00 -0000

ros-humble-irobot-create-ignition-sim (1.0.1-1bookworm) bookworm; urgency=high

  * add boost as explicit dependency and remove unnneded boost usage (#175 <https://github.com/iRobotEducation/create3_sim/issues/175>)
    * add boost as explicit dependency and remove unnneded boost usage
    * do not search for boost component in Boost library

 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 11 Apr 2022 16:00:00 -0000

ros-humble-irobot-create-ignition-sim (1.0.0-1bookworm) bookworm; urgency=high

  * Split irobot_create_toolbox (#153 <https://github.com/iRobotEducation/create3_sim/issues/153>)
    * rename irobot_create_toolbox into irobot_create_nodes
    * move common utilities to irobot_create_toolbox
    * register irobot_create_nodes as rclcpp_components
    * update readme
    * use new node names in parameter files
    * remove declare parameter utility and fix linter tests
  * Ignition Gazebo support (#144 <https://github.com/iRobotEducation/create3_sim/issues/144>)
    * Updated URDF to work with both gazebo classic and ignition:
    - Added gazebo arg to create3.urdf.xacro and standard_dock.urdf.xacro. This arg sets which gazebo version to use.
    - Added ray sensor macro which creates the correct sensor given the gazebo arg
    - Added ignition plugins when gazebo=ignition
    - Adjusted front caster position to better align with the create3 model
    - Adjusted wheeldrop spring stiffness to compensate for the front caster position change
    * Launch joint_state_publisher and diffdrive_controller only in classic
    * Use joint_state_publisher for both ignition and classic
    Cleaned up gazebo launch arg
    Adjusted front caster position
    * Simulation -> simulator
    * Added irobot_create_ignition packages
    * Fixed some linter warnings
    * Removed joint state publisher from ros_ign_bridge
    * - Reorganized packages
    - Shifted center of gravity of create3 forwards by 22.8 mm
    - Added min/max velocity and acceleration to diff drive plugin
    * Moved README.md to irobot_create_gazebo
    Created new README.md for irobot_create_ignition
    * Update README.md
    * Added ignition edifice repos for source installation
    * Create README.md
    * Added missing dependency
    * Renamed dock to standard_dock
    Center of gravity offset only applied in ignition for now
    * Fixed Linter errors
    * Updated README to have installation and example instructions for both Ignition and Classic
    Moved .repos files to the root of the repository
    * Ignition and Gazebo packages are now optional and only built if the required dependencies are installed
    * Made ros_ign_interfaces optional in irobot_create_ignition_bringup
    * fix license and minor changes to CMake and README
    * Interface buttons mock publisher not used in Ignition sim
    * Fixed linter errors
    Co-authored-by: Alberto Soragna <mailto:alberto.soragna@gmail.com>
  * Contributors: Alberto Soragna, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 30 Mar 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-irobot-create-ignition-sim
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-irobot-create-ignition-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-irobot-create-ignition-bringup, ros-humble-irobot-create-ignition-plugins, ros-humble-irobot-create-ignition-toolbox, ros-humble-ros-workspace
Description: Metapackage for the iRobot(R) Create(R) 3 robot Ignition simulator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-irobot-create-ignition-sim//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-irobot-create-ignition-sim//opt/ros/humble/opt/irobot_create_ignition_sim/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
